VSTGUI: VSTGUI::CDrawMethods Namespace Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Enumerations | Functions
VSTGUI::CDrawMethods Namespace Reference

## Enumerations
enum | IconPosition : uint16_t { kIconLeft = 0 , kIconCenterAbove , kIconCenterBelow , kIconRight }
enum | TextTruncateMode : uint16_t { kTextTruncateNone = 0 , kTextTruncateHead , kTextTruncateTail }
enum | CreateTextTruncateFlags : uint16_t { kReturnEmptyIfTruncationIsPlaceholderOnly = 1 << 0 }

## Functions
UTF8String | createTruncatedText (TextTruncateMode mode, const UTF8String &text, CFontRef font, CCoord maxWidth, const CPoint &textInset=CPoint(0, 0), uint32_t flags=0)
| create a truncated string
void | drawIconAndText (CDrawContext *context, CBitmap *iconToDraw, IconPosition iconPosition, CHoriTxtAlign textAlignment, CCoord textIconMargin, CRect drawRect, const UTF8String &title, CFontRef font, CColor textColor, TextTruncateMode truncateMode=kTextTruncateNone)
| draws an icon and a string into a rectangle

## Enumeration Type Documentation

## ◆ CreateTextTruncateFlags

enum CreateTextTruncateFlags : uint16_t

Enumerator
kReturnEmptyIfTruncationIsPlaceholderOnly | return an empty string if the truncated text is only the placeholder string

## ◆ IconPosition

enum IconPosition : uint16_t

Enumerator
kIconLeft | icon left, text centered in the area next to the icon
kIconCenterAbove | icon centered above the text, text centered
kIconCenterBelow | icon centered below the text, text centered
kIconRight | icon right, text centered in the area next to the icon

## ◆ TextTruncateMode

enum TextTruncateMode : uint16_t

Enumerator
kTextTruncateNone |
kTextTruncateHead |
kTextTruncateTail |

## Function Documentation

## ◆ createTruncatedText()

UTF8String createTruncatedText | ( | TextTruncateMode | mode,
|  | const UTF8String & | text,
|  | CFontRef | font,
|  | CCoord | maxWidth,
|  | const CPoint & | textInset = CPoint(0, 0),
|  | uint32_t | flags = 0 )

create a truncated string

Parameters

  mode | truncation mode
  text | text string
  font | font
  maxWidth | maximum width
  textInset | text inset
  flags | flags see CreateTextTruncateFlags

Returns
  truncated text or original text if no truncation needed

## ◆ drawIconAndText()

void drawIconAndText | ( | CDrawContext * | context,
|  | CBitmap * | iconToDraw,
|  | IconPosition | iconPosition,
|  | CHoriTxtAlign | textAlignment,
|  | CCoord | textIconMargin,
|  | CRect | drawRect,
|  | const UTF8String & | title,
|  | CFontRef | font,
|  | CColor | textColor,
|  | TextTruncateMode | truncateMode = kTextTruncateNone )

draws an icon and a string into a rectangle

Parameters

  context | draw context
  iconToDraw | icon to draw
  iconPosition | position of the icon
  textAlignment | alignment of the string
  textIconMargin | margin of the string
  drawRect | draw rectangle
  title | string
  font | font
  textColor | font color
  truncateMode | truncation mode